Summary: 	aLinux(TM) (bootsplash)
Name: 		aLinux
Version: 	0.8
Release: 	4
Copyright: 	GPL
Group: 		System
Source0: 	splashutils.tar.bz2
Source1: 	aLinux_splash.tar.bz2
Source3:	bootsplash-2048x1536-01.xcf
URL: 		http://www.alinux.tv/
Provides: 	bootsplash splashutils splash progress fbresolution getkey
Provides: 	bootanim rc.bootsplash
BuildRoot: 	%{_tmppath}/%{name}-root

%description
__________________________________________________________________

How to create an empty splash image changing sym-link 'current'.

FB-aLinux:
1. splash -s -f /etc/bootsplash/themes/current/config/bootsplash-640x480.cfg > /boot/fb-aLinux
   splash -s -f /etc/bootsplash/themes/current/config/bootsplash-800x600.cfg >> /boot/fb-aLinux

FB-Matrix:
1. splash -s -f /etc/bootsplash/themes/current/config/bootsplash-640x480.cfg > /boot/fb-Matrix
   splash -s -f /etc/bootsplash/themes/current/config/bootsplash-800x600.cfg >> /boot/fb-Matrix
__________________________________________________________________

__________________________________________________________________

Attach an image plus cfg to an already alinux.gz or any root.gz:
2. splash -s -f /etc/bootsplash/themes/current/config/bootsplash-640x480.cfg >> alinux.gz
   splash -s -f /etc/bootsplash/themes/current/config/bootsplash-800x600.cfg >> alinux.gz
__________________________________________________________________

Test - Show image on console 2, e.g. [ALT+F2] to test see it:
3. splash -s -u 1 /etc/bootsplash/themes/fb-Matrix/config/bootsplash-640x480.cfg
   splash -s -u 1 /etc/bootsplash/themes/fb-Matrix/config/bootsplash-800x600.cfg

depth    colors   640x480       800x600       1024x768      1280x1024
8 bits   256      769 (0x301)   771 (0x303)   773 (0x305)   775 (0x307)
15 bits  32 K     784 (0x310)   787 (0x313)   790 (0x316)   793 (0x319)
16 bits  65 K     785 (0x311)   788 (0x314)   791 (0x317)   794 (0x31A)
24 bits  16.7 M   786 (0x312)   789 (0x315)   792 (0x318)   795 (0x31B)

Add to /etc/lilo.conf:
4. append="splash=silent"  (=verbose, =off)
5. initrd="/etc/bootsplash/themes/current/initrd/1024x768"

Run /sbin/lilo to update 4,5 above.
6. lilo

%prep
%setup -q -n splashutils

%build
make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
cp splash progress fbresolution getkey $RPM_BUILD_ROOT/sbin
tar xjpf %{SOURCE1} -C $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/lilo.conf ]; then
/sbin/lilo 2>/dev/null || :
fi

%files
%defattr(-,root,root)
/*
